Crash when not selecting layer in Value Relation edit widget
Status: Closed

Priority: Normal

Assignee: Jakob Hvitnov

Category: Edit widget

Affected QGIS version:2.8.2 Regression?: No
Operating System: Ubuntu Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corruptsdata: Copied to github as #: 20885
Description

Reproducible crash (SIGSEV2 segmentation fault) when selecting the "Value Relation" type of edit widget and exiting the properties
dialog without selecting values in the "Layer" select box and pressing ok. (see attached image)
Probably related to QgsValueRelationConfigDIg not accepting a NULL value in that field.

Having a Value Relation edit widget is not really useful, so a possible fix is to not allow pressing the ok button before a layer is selected.

Below is the debugger output when from a crash

QString::QString gstring.h 725 0x819b923

QgsMaplLayer::iid ggsmaplayer.cop 101 0xb4e9dec5

QgsValueRelationConfigDlg::config qgsvaluerelationconfigdig.cop 35 0xb475f245

QgsAttribute TypeDialog::editorWidgetV2Config qgsattributetypedialog.cop 121 0x8226¢ce1
QgsFieldsProperties::attribute TypeDialog  qgsfieldsproperties.cop 465 0x82a7736
QgsFieldsProperties::gt_static_metacall moc_qgsfieldsproperties.cxx 91 0x852fc6c
QMetaObject::activate(QObject*, QMetaObject const*, int, void**) /usr/lib/i386-linux-gnu/libQtCore.so0.4 0xb3f350f7
QAbstractButton::pressed() /usr/lib/i386-linux-gnu/libQtGui.so.4 0xb3b29015

??  Jusr/lib/i386-linux-gnu/libQtGui.so.4 0xb3843b61

9 QAbstractButton::mousePressEvent(QMouseEvent*)  /usr/lib/i386-linux-gnu/libQtGui.so.4 0xb3844232
10 QWidget::event(QEvent*) /usr/lib/i386-linux-gnu/libQtGui.so.4 0xb34861e3

11 QAbstractButton::event(QEvent*) /usr/lib/i386-linux-gnu/libQtGui.so.4 0xb3845f42

12 QPushButton::event(QEvent*) /usr/lib/i386-linux-gnu/libQtGui.so.4 0xb38e0aec

13 QApplicationPrivate::notify_helper(QObject*, QEvent*) /usr/lib/i386-linux-gnu/libQtGui.so.4 0xb342c7f4
14 QApplication::notify(QObject*, QEvent*) /ust/lib/i386-linux-gnu/libQtGui.so.4 0xb3434ea0

15 QgsApplication::notify qgsapplication.cpp 253 0xb4dbf8e5

16 QCoreApplication::notifylnternal(QObject*, QEvent*) /usr/lib/i386-linux-gnu/libQtCore.s0.4 Oxb3f1feda
17 QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool)
/usr/lib/i386-linux-gnu/libQtGui.so.4 0xb3432b53

18 ?? /usr/lib/i386-linux-gnu/libQtGui.so.4 0xb34b6778

19 QApplication::x11ProcessEvent(_XEvent*) /usr/lib/i386-linux-gnu/libQtGui.so.4 0xb34b5ec5

20 ?? /usr/lib/i386-linux-gnu/libQtGui.so.4 0xb34e1524
Associated revisions

Revision df039ee2 - 2015-05-20 03:33 PM - Jakob Hvitnov

fix #12787 (Value Relation edit widget related crash)

Revision c33b9fa1 - 2015-05-20 03:53 PM - Martin Dobias

2025-04-27 12




Merge pull request #2049 from Hvitnov/fix12787

fix #12787 (Value Relation edit widget related crash)

History

#1 - 2015-05-20 06:39 AM - Jakob Hvitnov

- Assignee set to Jakob Hvitnov

Suggested fix: https://github.com/qgis/QGIS/pull/2049

#2 - 2015-05-20 06:53 AM - Martin Dobias
- Status changed from Open to Closed

Fixed in changeset commit:"c33b9fa1d5¢c39758313ae39¢173801d0ea764655".
